Bug 448566 - Review Request: xorg-x11-drv-sunleo - X driver for sunleo hardware
Review Request: xorg-x11-drv-sunleo - X driver for sunleo hardware
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-27 13:18 EDT by Dennis Gilmore
Modified: 2008-06-06 17:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-06 17:43:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bdpepple: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2008-05-27 13:18:40 EDT
Spec URL: http://ausil.us/packages/xorg-x11-drv-sunleo.spec
SRPM URL: http://ausil.us/packages/xorg-x11-drv-sunleo-1.1.0-3.fc9.git20080526.src.rpm
Description: 
X driver for sunleo hardware
Comment 1 Dennis Gilmore 2008-06-03 19:24:03 EDT
scratch build http://sparc.koji.fedoraproject.org/koji/taskinfo?taskID=59165
Comment 2 Brian Pepple 2008-06-04 21:06:40 EDT
Good:
* Verified source tarball against git.
* Package name conforms to the Fedora Naming Guidelines
* Group Tag is from the official list
* Buildroot has all required elements
* All paths begin with macros
* All necessary BuildRequires listed.
* Make succeeds.
* Files have appropriate permissions and owners

Bad:
* rpmlint produces the following error:
xorg-x11-drv-sunleo.sparc64: W: invalid-license MIT/X11

Looking at the license matrix, it looks like it should just be MIT.  You can fix
this when you import this into CVS.

Note: I don't have the hardware to verify that this driver works, but from a
packaging standpoint this package looks fine.

+1 APPROVE.
Comment 3 Dennis Gilmore 2008-06-06 00:29:04 EDT
Package Name: xorg-x11-drv-sunleo
Short Description: X driver for sunleo
Owners: ausil spot jima pjones
Branches: F-9
InitialCC:
Cvsextras Commits: yes
Comment 4 Dennis Gilmore 2008-06-06 17:43:17 EDT
imported and built  thanks for the review

Note You need to log in before you can comment on or make changes to this bug.